com.corticon.eclipse.studio.vocabulary.core

## Interface IAssociationDialogAPI

- All Superinterfaces:
    IDialogAPI

      public interface IAssociationDialogAPI
      extends IDialogAPI

  Interface of Association dialog. Used to represent association objects.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COLUMN_COUNT_JOIN_EXPRESSION`
    `static int` | `COLUMN_INDEX_JOIN_EXPRESSION_SOURCE_COLUMN_NAME`
    `static int` | `COLUMN_INDEX_JOIN_EXPRESSION_SOURCE_TABLE_NAME`
    `static int` | `COLUMN_INDEX_JOIN_EXPRESSION_TARGET_COLUMN_NAME`
    `static int` | `COLUMN_INDEX_JOIN_EXPRESSION_TARGET_TABLE_NAME`
    `static int` | `MATRIX_ID_JOIN_EXPRESSION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IEntity` | `findEntity(java.lang.String astrEntityName)` Find the entity matching the fully-qualified entity name.
    `IAssociationEnd` | `getAssociationEnd()` Returns reference to the association end, the context for all other dialog API calls.
    `AssociationParameters` | `getAssociationParameters()` Returns an AssociationParameters instance populated with data from an existing association, or alternatively populated with appropriate values for a new association if isNewAssociation() returns `true`.
    `int` | `getCellEditorType(int aiMatrixID, int aiColumnIndex, int aiRowIndex)` Return an integer number representing the type of cell editor to use to edit the specified cell.
    `java.lang.String` | `getCellValue(int aiMatrixID, int aiColumnIndex, int aiRowIndex)` Get the cell value from the specified matrix, row and column index.
    `int` | `getColumnCountActual(int aiMatrixID)` Return the number of columns currently used in specified matrix.
    `int` | `getColumnCountDisplayed(int aiMatrixID)` Return the number of columns currently displayed in specified matrix.
    `int` | `getColumnHorizontalAlignment(int aiMatrixID, int aiColumnIndex)` Returns the recommended column horizontal alignment for a matrix column.
    `IEntity` | `getEntity()` Return a reference to the parent entity of the association, or in the case of a new association, the entity to which the new association will be added.
    `java.lang.String` | `getJoinExpression()` Return the join expression in the matrix model formatted as a string.
    `java.util.List<java.lang.String>` | `getListCellItems(int aiMatrixID, int aiColumnIndex, int aiRowIndex)` Get a list of values available for the specified cell.
    `java.util.List` | `getListNavigabilities(java.lang.String astrSourceEntityName, java.lang.String astrSourceToTargetRoleName, java.lang.String astrTargetEntityName, java.lang.String astrTargetToSourceRoleName)` Return a list all navigability choices.
    `java.lang.String` | `getNavigability(boolean abSourceNavigable, boolean abTargetNavigable, java.lang.String astrSourceEntityName, java.lang.String astrSourceToTargetRoleName, java.lang.String astrTargetEntityName, java.lang.String astrTargetToSourceRoleName)` Given source and target navigability settings (boolean) return a string depicting the navigability.
    `java.lang.String` | `getNewRoleName(IEntity aIEntitySource, IEntity aIEntityTarget)` Return a guaranteed-unique role name.
    `int` | `getRowCountActual(int aiMatrixID)` Return the number of rows currently used in specified matrix.
    `int` | `getRowCountDisplayed(int aiMatrixID)` Return the number of rows currently displayed in the specified matrix.
    `java.util.List` | `getSourceEntityNameList()` Get a list of all possible source entity names.
    `java.util.List` | `getTargetEntityNameList()` Get a list of all possible target entity names.
    `IVocabularyModelAPI` | `getVocabularyModelAPI()` Get a reference to the Vocabulary model API.
    `boolean` | `isNewAssociation()` Convenience method to determine whether the dialog is creating a new association, as opposed to updating an existing one.
    `void` | `loadJoinExpressionTable()` Load the Join Expression table from the Vocabulary asset.
    `void` | `setAssociationEnd(IAssociationEnd aIAssociationEnd)` Set a reference to the association end, the context for all other dialog API calls.
    `boolean` | `setCellValue(int aiMatrixID, int aiColumnIndex, int aiRowIndex, java.lang.String astrValue)` Set the value of the specified matrix, row and column index.
    `void` | `setEntity(IEntity aIEntity)` Set a reference to the entity, the parent of the association, or in the case of a new association, the entity to which the new association will be added.
    `void` | `setVocabularyModelAPI(IVocabularyModelAPI aIVocabularyModelAPI)` Set a reference to the Vocabulary model API.

    - ### Methods inherited from interface com.corticon.eclipse.core.IDialogAPI

      `displayMessageBox, getIExceptionDialogDelegate, getLocale, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getPreferences, getScrollableMessageDelegate, getUserInterfaceInfoDelegate, setIExceptionDialogDelegate, setLocale, setMessageBoxDelegate, setPreferencesDelegate, setScrollableMessageDelegate, setUserInterfaceInfoDelegate`

- - ### Field Detail

    - #### MATRIX_ID_JOIN_EXPRESSION

          static final int MATRIX_ID_JOIN_EXPRESSION

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_JOIN_EXPRESSION_SOURCE_TABLE_NAME

          static final int COLUMN_INDEX_JOIN_EXPRESSION_SOURCE_TABLE_NAME

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_JOIN_EXPRESSION_SOURCE_COLUMN_NAME

          static final int COLUMN_INDEX_JOIN_EXPRESSION_SOURCE_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_JOIN_EXPRESSION_TARGET_TABLE_NAME

          static final int COLUMN_INDEX_JOIN_EXPRESSION_TARGET_TABLE_NAME

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_JOIN_EXPRESSION_TARGET_COLUMN_NAME

          static final int COLUMN_INDEX_JOIN_EXPRESSION_TARGET_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### COLUMN_COUNT_JOIN_EXPRESSION

          static final int COLUMN_COUNT_JOIN_EXPRESSION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### findEntity

          IEntity findEntity(java.lang.String astrEntityName)

      Find the entity matching the fully-qualified entity name.
      Parameters:
        `astrEntityName` - Entity name.

    - #### getAssociationEnd

          IAssociationEnd getAssociationEnd()

      Returns reference to the association end, the context for all other dialog API calls.
      Returns:
        IAssociationEnd currently being updated.

    - #### getAssociationParameters

          AssociationParameters getAssociationParameters()

      Returns an AssociationParameters instance populated with data from an existing association, or alternatively populated with appropriate values for a new association if isNewAssociation() returns `true`.
      Returns:
        AssociationParameters instance populated with new or existing data.

    - #### getCellEditorType

          int getCellEditorType(int aiMatrixID,
                              int aiColumnIndex,
                              int aiRowIndex)

      Return an integer number representing the type of cell editor to use to edit the specified cell.
      Parameters:
        `aiMatrixID` - Matrix ID.
        `aiColumnIndex` - Index of column whose value should be returned.
        `aiRowIndex` - Index of row whose value should be returned.
      Returns:
        Cell editor type (e.g., Constants.CELL_EDITOR_TEXT).

    - #### getCellValue

          java.lang.String getCellValue(int aiMatrixID,
                                      int aiColumnIndex,
                                      int aiRowIndex)

      Get the cell value from the specified matrix, row and column index.
      Parameters:
        `aiMatrixID` - Matrix ID.
        `aiColumnIndex` - Index of column whose value should be returned.
        `aiRowIndex` - Index of row whose value should be returned.
      Returns:
        Cell value as string.

    - #### getColumnCountActual

          int getColumnCountActual(int aiMatrixID)

      Return the number of columns currently used in specified matrix.
      Parameters:
        `aiMatrixID` - Matrix ID.
      Returns:
        Column count.

    - #### getColumnCountDisplayed

          int getColumnCountDisplayed(int aiMatrixID)

      Return the number of columns currently displayed in specified matrix.
      Parameters:
        `aiMatrixID` - Matrix ID.
      Returns:
        Column count.

    - #### getColumnHorizontalAlignment

          int getColumnHorizontalAlignment(int aiMatrixID,
                                         int aiColumnIndex)

      Returns the recommended column horizontal alignment for a matrix column.
      Parameters:
        `aiMatrixID` - Matrix ID.
        `aiColumnIndex` - Column index.
      Returns:
        Constant indicating recommended alignment (e.g., COLUMN_HORIZONTAL_ALIGNMENT_CENTER).

    - #### getEntity

          IEntity getEntity()

      Return a reference to the parent entity of the association, or in the case of a new association, the entity to which the new association will be added.
      Returns:
        IEntity instance.

    - #### getJoinExpression

          java.lang.String getJoinExpression()

      Return the join expression in the matrix model formatted as a string.
      Returns:
        Join Expression as string.

    - #### getListCellItems

          java.util.List<java.lang.String> getListCellItems(int aiMatrixID,
                                                          int aiColumnIndex,
                                                          int aiRowIndex)

      Get a list of values available for the specified cell. This list of values is typically used to populate the items of a combo box or drop-down control.
      Parameters:
        `aiMatrixID` - Matrix ID.
        `aiColumnIndex` - Index of column whose value should be returned.
        `aiRowIndex` - Index of row whose value should be returned.
      Returns:
        List of items (strings) used to populate the drop-down list.

    - #### getListNavigabilities

          java.util.List getListNavigabilities(java.lang.String astrSourceEntityName,
                                             java.lang.String astrSourceToTargetRoleName,
                                             java.lang.String astrTargetEntityName,
                                             java.lang.String astrTargetToSourceRoleName)

      Return a list all navigability choices. Example: Customer->order Bidirectional order<-Customer
      Parameters:
        `astrSourceEntityName` - Source entity name.
        `astrSourceToTargetRoleName` - Source-to-target role name.
        `astrTargetEntityName` - Target entity name.
        `astrTargetToSourceRoleName` - Target-to-source role name.
      Returns:
        List of all navigability choices.

    - #### getNavigability

          java.lang.String getNavigability(boolean abSourceNavigable,
                                         boolean abTargetNavigable,
                                         java.lang.String astrSourceEntityName,
                                         java.lang.String astrSourceToTargetRoleName,
                                         java.lang.String astrTargetEntityName,
                                         java.lang.String astrTargetToSourceRoleName)

      Given source and target navigability settings (boolean) return a string depicting the navigability. Examples: Order->item (source-to-target) item<-Product (target-to-source) Bidirectional
      Parameters:
        `abSourceNavigable` - Source-to-target navigability flag.
        `abTargetNavigable` - Target-to-source navigability flag.
        `astrSourceEntityName` - Source entity name.
        `astrSourceToTargetRoleName` - Source-to-target role name.
        `astrTargetEntityName` - Target entity name.
        `astrTargetToSourceRoleName` - Target-to-source role name.
      Returns:
        String depicting navigability or `null` if neither end is navigable.

    - #### getNewRoleName

          java.lang.String getNewRoleName(IEntity aIEntitySource,
                                        IEntity aIEntityTarget)

      Return a guaranteed-unique role name. The default name is the decapitalized name of the target class. If that role name is already in use, a sequence number will be added starting with 1.
      Parameters:
        `aIEntitySource` - Entity to which new role will be added.
        `aIEntityTarget` - Target entity for new association.
      Returns:
        New unique role name.

    - #### getRowCountActual

          int getRowCountActual(int aiMatrixID)

      Return the number of rows currently used in specified matrix.
      Parameters:
        `aiMatrixID` - Matrix ID.
      Returns:
        Row count.

    - #### getRowCountDisplayed

          int getRowCountDisplayed(int aiMatrixID)

      Return the number of rows currently displayed in the specified matrix.
      Parameters:
        `aiMatrixID` - Matrix ID.
      Returns:
        Row count.

    - #### getSourceEntityNameList

          java.util.List getSourceEntityNameList()

      Get a list of all possible source entity names. This list can be used to populate the items in the Target Entity Name combo box.
      Returns:
        List of allowable source entity names.

    - #### getTargetEntityNameList

          java.util.List getTargetEntityNameList()

      Get a list of all possible target entity names. This list can be used to populate the items in the Target Entity Name combo box.
      Returns:
        List of allowable target entity names.

    - #### getVocabularyModelAPI

          IVocabularyModelAPI getVocabularyModelAPI()

      Get a reference to the Vocabulary model API.
      Returns:
        Instance of Vocabulary model API.

    - #### isNewAssociation

          boolean isNewAssociation()

      Convenience method to determine whether the dialog is creating a new association, as opposed to updating an existing one.
      Returns:
        `true` If dialog is creating a new association.

    - #### loadJoinExpressionTable

          void loadJoinExpressionTable()

      Load the Join Expression table from the Vocabulary asset.

    - #### setAssociationEnd

          void setAssociationEnd(IAssociationEnd aIAssociationEnd)

      Set a reference to the association end, the context for all other dialog API calls.
      Parameters:
        `aIAssociationEnd` - Reference being maintained.

    - #### setCellValue

          boolean setCellValue(int aiMatrixID,
                             int aiColumnIndex,
                             int aiRowIndex,
                             java.lang.String astrValue)

      Set the value of the specified matrix, row and column index.
      Parameters:
        `aiMatrixID` - Matrix ID.
        `aiColumnIndex` - Index of column whose value should be set.
        `aiRowIndex` - Index of row whose value should be set.
        `astrValue` - Value to set.
      Returns:
        `true` if the set command was successful.

    - #### setEntity

          void setEntity(IEntity aIEntity)

      Set a reference to the entity, the parent of the association, or in the case of a new association, the entity to which the new association will be added.
      Parameters:
        `IEntity` - aIEntity Entity for new association.

    - #### setVocabularyModelAPI

          void setVocabularyModelAPI(IVocabularyModelAPI aIVocabularyModelAPI)

      Set a reference to the Vocabulary model API.
      Parameters:
        `aIVocabularyModelAPI` - Instance of Vocabulary model API.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.